libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
libcamera::ConditionVariable Class Referencefinal

std::condition_variable wrapper integrating with MutexLocker More...

## Detailed Description

std::condition_variable wrapper integrating with MutexLocker

The ConditionVariable class wraps a std::condition_variable instance to integrate with the MutexLocker class. The class exposes the same interface as std::condition_variable and can be used as a transparent replacement.

See https://en.cppreference.com/w/cpp/thread/condition_variable for the complete API documentation.

The documentation for this class was generated from the following file:

- include/libcamera/base/mutex.h